package com.huimv.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.admin.system.entity.AppSysGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.system.entity.Group;
import com.huimv.common.utils.Result;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-25
 */
public interface IAppSysGroupService extends IService<AppSysGroup> {
    Result updateGroup(AppSysGroup group);

    Result removeGroup(Integer groupId);

    IPage<AppSysGroup> listGroup(Map map, List<Integer> allChildId);

    Result addGroup(AppSysGroup group, Integer userId);
}
